<?php
include_once 'sys/db.php';
include_once 'sys/fnc.php';
        if (isset($user)) header('Location: /');
        $error = false;
        $errort = '';
        if (isset($_POST['registration'])) {
            if (strlen($_POST['login']) < 4) {
                $error = true;
                $errort .= '<div class="err">Длина логина должна быть не менее 4-х символов.</div>';
            } elseif (strlen($_POST['login']) > 15) {
                $error = true;
                $errort .= '<div class="err">Длина логина должна быть не более 15-и символов.</div>';
            } elseif(!preg_match("#^([A-z0-9\_])+$#ui", $_POST['login'])) {
                $error = true;
                $errort .= '<div class="err">В нике присутствуют запрещенные символы.</div>';
            }
            if (strlen($_POST['pass']) < 4) {
                $error = true;
                $errort .= '<div class="err">Длина пароля должна быть не менее 4-х символов.</div>';
            } elseif (strlen($_POST['pass']) > 15) {
                $error = true;
                $errort .= '<div class="err">Длина пароля должна быть не более 15-и символов.</div>';
            } elseif(!preg_match("#^([A-z0-9])+$#ui", $_POST['pass'])) {
                $error = true;
                $errort .= '<div class="err">В пароле присутствуют запрещенные символы.</div>';
            }
            if ($_POST['pass'] != $_POST['pass2']) {
                $error = true;
                $errort .= '<div class="err">Пароли не совпадают.</div>';
            }
            $sql = mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $_POST['login'] ."' LIMIT 1");
            if (mysql_num_rows($sql) == 1) {
                $error = true;
                $errort .= '<div class="err">Пользователь с таким логином уже существует.</div>';
            }
            if (!$error) {
                $title = 'Регистрация';
                include 'sys/head.php';
                $login = html($_POST['login']);
                $pass = html($_POST['pass']);
                $pass2 = html($_POST['pass2']);
                mysql_query("INSERT INTO `user` SET `login` = '". $login ."', `pass` = '". $pass ."', `pol` = '". intval($_POST['pol']) ."'");
                echo '<div class="err">Аккаунт успешно зарегистрирован!</div>
                <div class="menu"><a href="/login">Авторизация</a></div>';
                include 'sys/foot.php';
                exit;
            }
        }
        $title = 'Регистрация';
        include_once 'sys/head.php';
        echo '<div class="title">Регистрация</div>
        '. $errort;
        echo '<div class="menu"><form method="post">
        Логин:<br><input type="text" name="login" '. (isset($_POST['login']) ? 'value="'. htmlspecialchars($_POST['login']) .'"' : null) .' />
        <br>Пароль:<br><input type="password" name="pass" '. (isset($_POST['pass']) ? 'value="'. htmlspecialchars($_POST['pass']) .'"' : null) .' />
        <br>Повторите пароль:<br><input type="password" name="pass2" '. (isset($_POST['pass2']) ? 'value="'. htmlspecialchars($_POST['pass2']) .'"' : null) .' />
        <br>Ваш пол:<br><select name="pol">
        <option value="1">Мужской</option><option value="0">Женский</option></select>
        <br><input class="btn btn-default" type="submit" name="registration" value="Зарегистрироваться" />
        </form></div>';
include_once 'sys/foot.php';
?>